/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, {
/******/ 				configurable: false,
/******/ 				enumerable: true,
/******/ 				get: getter
/******/ 			});
/******/ 		}
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 398);
/******/ })
/************************************************************************/
/******/ ({

/***/ 342:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.TypographyTransforms = exports.TypograpyClasses = exports.TypographyAttributes = undefined;

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _classnames = __webpack_require__(76);

var _classnames2 = _interopRequireDefault(_classnames);

var _fonts = __webpack_require__(343);

var _fonts2 = _interopRequireDefault(_fonts);

var _attributes = __webpack_require__(401);

var _attributes2 = _interopRequireDefault(_attributes);

var _classes = __webpack_require__(402);

var _classes2 = _interopRequireDefault(_classes);

var _transforms = __webpack_require__(403);

var _transforms2 = _interopRequireDefault(_transforms);

var _familyPicker = __webpack_require__(404);

var _familyPicker2 = _interopRequireDefault(_familyPicker);

var _icons = __webpack_require__(405);

var _icons2 = _interopRequireDefault(_icons);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; } /**
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                * External dependencies
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                */


/**
 * Internal dependencies
 */


/**
 * WordPress dependencies
 */
var __ = wp.i18n.__;
var _wp$element = wp.element,
    Component = _wp$element.Component,
    Fragment = _wp$element.Fragment,
    createRef = _wp$element.createRef;
var _wp$compose = wp.compose,
    compose = _wp$compose.compose,
    withState = _wp$compose.withState;
var BlockControls = wp.editor.BlockControls;
var DOWN = wp.keycodes.DOWN;
var _wp$components = wp.components,
    RangeControl = _wp$components.RangeControl,
    PanelBody = _wp$components.PanelBody,
    withFallbackStyles = _wp$components.withFallbackStyles,
    FontSizePicker = _wp$components.FontSizePicker,
    ToggleControl = _wp$components.ToggleControl,
    Button = _wp$components.Button,
    Popover = _wp$components.Popover,
    Dropdown = _wp$components.Dropdown,
    IconButton = _wp$components.IconButton,
    SelectControl = _wp$components.SelectControl;

/**
 * Export
 */

exports.TypographyAttributes = _attributes2.default;
exports.TypograpyClasses = _classes2.default;
exports.TypographyTransforms = _transforms2.default;

/**
 * Fallback styles
 */

var _window = window,
    getComputedStyle = _window.getComputedStyle;

var applyFallbackStyles = withFallbackStyles(function (node, ownProps) {
	var _ownProps$attributes = ownProps.attributes,
	    textColor = _ownProps$attributes.textColor,
	    fontSize = _ownProps$attributes.fontSize,
	    customFontSize = _ownProps$attributes.customFontSize;

	var editableNode = node.querySelector('[contenteditable="true"]');
	//verify if editableNode is available, before using getComputedStyle.
	var computedStyles = editableNode ? getComputedStyle(editableNode) : null;
	return {
		fallbackTextColor: textColor || !computedStyles ? undefined : computedStyles.color,
		fallbackFontSize: fontSize || customFontSize || !computedStyles ? undefined : parseInt(computedStyles.fontSize) || undefined
	};
});

/**
 * Typography Component
 */

var TypographyControls = function (_Component) {
	_inherits(TypographyControls, _Component);

	function TypographyControls(props) {
		_classCallCheck(this, TypographyControls);

		var _this = _possibleConstructorReturn(this, (TypographyControls.__proto__ || Object.getPrototypeOf(TypographyControls)).apply(this, arguments));

		_this.setState({ forceClose: false });
		return _this;
	}

	_createClass(TypographyControls, [{
		key: 'render',
		value: function render() {
			var _props = this.props,
			    attributes = _props.attributes,
			    fallbackFontSize = _props.fallbackFontSize,
			    fallbackTextColor = _props.fallbackTextColor,
			    fontSize = _props.fontSize,
			    setState = _props.setState,
			    setAttributes = _props.setAttributes,
			    setFontSize = _props.setFontSize,
			    setTextColor = _props.setTextColor,
			    textColor = _props.textColor,
			    renderContent = _props.renderContent,
			    renderToggle = _props.renderToggle,
			    _props$position = _props.position,
			    position = _props$position === undefined ? 'bottom' : _props$position,
			    contentClassName = _props.contentClassName,
			    expandOnMobile = _props.expandOnMobile,
			    onToggle = _props.onToggle,
			    className = _props.className,
			    headerTitle = _props.headerTitle,
			    _props$icon = _props.icon,
			    icon = _props$icon === undefined ? _icons2.default.typography : _props$icon,
			    _props$label = _props.label,
			    label = _props$label === undefined ? __('Typography') : _props$label;
			var customFontSize = attributes.customFontSize,
			    fontFamily = attributes.fontFamily,
			    lineHeight = attributes.lineHeight,
			    letterSpacing = attributes.letterSpacing,
			    fontWeight = attributes.fontWeight,
			    textTransform = attributes.textTransform;


			var weight = [{
				value: '',
				label: __('Default')
			}, {
				value: 'normal',
				label: __('Normal')
			}, {
				value: 'bold',
				label: __('Bold')
			}];

			var transform = [{
				value: '',
				label: __('Default')
			}, {
				value: 'uppercase',
				label: __('Uppercase')
			}, {
				value: 'lowercase',
				label: __('Lowercase')
			}, {
				value: 'capitalize',
				label: __('Capitalize')
			}, {
				value: 'normal',
				label: __('Normal')
			}];

			if (typeof _fonts2.default[fontFamily] !== 'undefined' && typeof _fonts2.default[fontFamily].weight !== 'undefined') {
				_fonts2.default[fontFamily].weight.map(function (k, v) {
					weight.push({ value: k, label: k });
				});
			}

			var onFontChange = function onFontChange(value, onClose) {
				setAttributes({ fontFamily: value });

				if (typeof _fonts2.default[value] !== 'undefined' && typeof _fonts2.default[value].weight !== 'undefined') {
					if (fontWeight && Object.values(_fonts2.default[fontFamily].weight).indexOf(fontWeight) < 0) {
						setAttributes({ fontWeight: '' });
					}
				}

				onClose();
			};

			return React.createElement(
				Fragment,
				null,
				React.createElement(Dropdown, {
					className: (0, _classnames2.default)('components-dropdown-menu', 'components-blocksdesign-typography-dropdown'),
					contentClassName: 'components-dropdown-menu__popover components-blocksdesign-typography-dropdown',
					renderToggle: function renderToggle(_ref) {
						var isOpen = _ref.isOpen,
						    onToggle = _ref.onToggle,
						    onClose = _ref.onClose;

						var openOnArrowDown = function openOnArrowDown(event) {
							if (!isOpen && event.keyCode === DOWN) {
								event.preventDefault();
								event.stopPropagation();
								onToggle();
							}
						};

						return React.createElement(
							IconButton,
							{
								className: 'components-dropdown-menu__toggle',
								icon: icon,
								onClick: onToggle,
								onKeyDown: openOnArrowDown,
								'aria-haspopup': 'true',
								'aria-expanded': isOpen,
								label: label,
								tooltip: label
							},
							React.createElement('span', { className: 'components-dropdown-menu__indicator' })
						);
					},
					renderContent: function renderContent(_ref2) {
						var onClose = _ref2.onClose;
						return React.createElement(
							Fragment,
							null,
							React.createElement(
								'div',
								{ className: 'components-blocksdesign-typography-dropdown__inner' },
								React.createElement(_familyPicker2.default, {
									label: __('Font Family'),
									value: fontFamily,
									onChange: function onChange(nextFontFamily) {
										return onFontChange(nextFontFamily, onClose);
									},
									className: 'components-base-control--with-flex components-blocksdesign-typography-dropdown__inner--font'
								}),
								typeof attributes.textPanelFontWeight === 'undefined' || typeof attributes.textPanelFontWeight !== 'undefined' && typeof attributes.textPanelFontWeight === 'undefined' ? React.createElement(SelectControl, {
									label: __('Font Weight'),
									value: fontWeight,
									options: weight,
									onChange: function onChange(nextFontWeight) {
										return setAttributes({ fontWeight: nextFontWeight });
									},
									className: 'components-base-control--with-flex components-blocksdesign-typography-dropdown__inner--weight'
								}) : null,
								typeof attributes.textPanelTextTransform === 'undefined' || typeof attributes.textPanelTextTransform !== 'undefined' && typeof attributes.textPanelTextTransform === 'undefined' ? React.createElement(SelectControl, {
									label: __('Font Transform'),
									value: textTransform,
									options: transform,
									onChange: function onChange(nextTextTransform) {
										return setAttributes({ textTransform: nextTextTransform });
									},
									className: 'components-base-control--with-flex components-blocksdesign-typography-dropdown__inner--transform'
								}) : null,
								typeof attributes.textPanelHideSize === 'undefined' || typeof attributes.textPanelHideSize !== 'undefined' && typeof attributes.textPanelHideSize === 'undefined' ? React.createElement(RangeControl, {
									label: __('Font Size'),
									value: parseFloat(customFontSize) || null,
									onChange: function onChange(nextFontSize) {
										return setAttributes({ customFontSize: nextFontSize });
									},
									min: 1,
									max: 100,
									step: 1,
									className: 'components-blocksdesign-typography-dropdown__inner--size'
								}) : null,
								typeof attributes.textPanelLineHeight === 'undefined' || typeof attributes.textPanelLineHeight !== 'undefined' && typeof attributes.textPanelLineHeight === 'undefined' ? React.createElement(RangeControl, {
									label: __('Line Height'),
									value: parseFloat(lineHeight) || null,
									onChange: function onChange(nextLineHeight) {
										return setAttributes({ lineHeight: nextLineHeight });
									},
									min: 1,
									max: 3,
									step: .01,
									className: 'components-blocksdesign-typography-dropdown__inner--line-height'
								}) : null,
								typeof attributes.textPanelLetterSpacing === 'undefined' || typeof attributes.textPanelLetterSpacing !== 'undefined' && typeof attributes.textPanelLetterSpacing === 'undefined' ? React.createElement(RangeControl, {
									label: __('Letter Spacing'),
									value: parseFloat(letterSpacing) || null,
									onChange: function onChange(nextLetterSpacing) {
										return setAttributes({ letterSpacing: nextLetterSpacing });
									},
									min: -1,
									max: 3, n: true,
									step: .1,
									className: 'components-blocksdesign-typography-dropdown__inner--letter-spacing'
								}) : null
							)
						);
					}
				})
			);
		}
	}]);

	return TypographyControls;
}(Component);

exports.default = compose([applyFallbackStyles])(TypographyControls);

/***/ }),

/***/ 343:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
	value: true
});
/**
 * Google Fonts for the FontFamily component.
 */

var fonts = {
	'Abril Fatface': { weight: ['400'] },
	'Anton': { weight: ['400'] },
	'Arvo': { weight: ['400', '700'] },
	'Asap': { weight: ['400', '500', '600', '700'] },
	'Barlow Condensed': { weight: ['100', '200', '300', '400', '500', '600', '700', '800', '900'] },
	'Barlow': { weight: ['100', '200', '300', '400', '500', '600', '700', '800', '900'] },
	'Cormorant Garamond': { weight: ['300', '400', '500', '600', '700'] },
	'Dancing Script': { weight: ['400', '700'] },
	'Faustina': { weight: ['400', '500', '600', '700'] },
	'Fira Sans': { weight: ['100', '200', '300', '400', '500', '600', '700', '800', '900'] },
	'IBM Plex Sans': { weight: ['100', '200', '300', '400', '500', '600', '700'] },
	'Indie Flower': { weight: ['400'] },
	'Inconsolata': { weight: ['400', '700'] },
	'Karla': { weight: ['400', '700'] },
	'Lato': { weight: ['100', '200', '300', '400', '500', '600', '700', '800', '900'] },
	'Lora': { weight: ['400', '700'] },
	'Merriweather': { weight: ['300', '400', '500', '600', '700', '800', '900'] },
	'Montserrat': { weight: ['100', '200', '300', '400', '500', '600', '700', '800', '900'] },
	'Noto Sans': { weight: ['400', '700'] },
	'Noto Serif': { weight: ['400', '700'] },
	'Open Sans': { weight: ['300', '400', '500', '600', '700', '800'] },
	'Oswald': { weight: ['200', '300', '400', '500', '600', '700'] },
	'Playfair Display': { weight: ['400', '700', '900'] },
	'PT Serif': { weight: ['400', '700'] },
	'Sedgwick Ave': { weight: ['400'] },
	'Roboto': { weight: ['100', '300', '400', '500', '700', '900'] },
	'Rubik': { weight: ['300', '400', '500', '700', '900'] },
	'Tajawal': { weight: ['200', '300', '400', '500', '700', '800', '900'] },
	'Yrsa': { weight: ['300', '400', '500', '600', '700'] },
	'Quicksand': { weight: ['300', '400', '500', '700'] }
};

exports.default = fonts;

/***/ }),

/***/ 398:
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__(399);


/***/ }),

/***/ 399:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; /**
                                                                                                                                                                                                                                                                   * Internal Dependencies
                                                                                                                                                                                                                                                                   */


/**
 * External Dependencies
 */


var _component = __webpack_require__(400);

var _component2 = _interopRequireDefault(_component);

var _applyStyle = __webpack_require__(406);

var _applyStyle2 = _interopRequireDefault(_applyStyle);

var _typoComponent = __webpack_require__(342);

var _typoComponent2 = _interopRequireDefault(_typoComponent);

var _classnames = __webpack_require__(76);

var _classnames2 = _interopRequireDefault(_classnames);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

/**
 * WordPress Dependencies
 */
var __ = wp.i18n.__;
var withSelect = wp.data.withSelect;
var addFilter = wp.hooks.addFilter;
var Fragment = wp.element.Fragment;
var InspectorAdvancedControls = wp.components.InspectorAdvancedControls;
var _wp$compose = wp.compose,
    compose = _wp$compose.compose,
    createHigherOrderComponent = _wp$compose.createHigherOrderComponent;


var allowedBlocks = ['core/paragraph', 'core/heading', 'core/cover', 'core/pullquote', 'core/quote', 'core/button', 'core/list'];

/**
 * Filters registered block settings, extending attributes with settings
 *
 * @param {Object} settings Original block settings.
 * @return {Object} Filtered block settings.
 */
function addAttributes(settings) {

	// Use Lodash's assign to gracefully handle if attributes are undefined
	if (allowedBlocks.includes(settings.name)) {
		settings.attributes = Object.assign(settings.attributes, _typoComponent.TypographyAttributes);
	}

	return settings;
}

/**
 * Override the default edit UI to include a new block toolbar control
 *
 * @param {function|Component} BlockEdit Original component.
 * @return {string} Wrapped component.
 */
var withControls = createHigherOrderComponent(function (BlockEdit) {
	return function (props) {
		var clientId = props.clientId,
		    attributes = props.attributes,
		    setAttributes = props.setAttributes;


		return React.createElement(
			Fragment,
			null,
			React.createElement(BlockEdit, props),
			props.isSelected && allowedBlocks.includes(props.name) && React.createElement(_component2.default, _extends({}, props))
		);
	};
}, 'withControls');

/**
 * Override the default block element to add	wrapper props.
 *
 * @param  {Function} BlockListBlock Original component
 * @return {Function} Wrapped component
 */

var enhance = compose(
/**
 * For blocks whose block type doesn't support `multiple`, provides the
 * wrapped component with `originalBlockClientId` -- a reference to the
 * first block of the same type in the content -- if and only if that
 * "original" block is not the current one. Thus, an inexisting
 * `originalBlockClientId` prop signals that the block is valid.
 *
 * @param {Component} WrappedBlockEdit A filtered BlockEdit instance.
 *
 * @return {Component} Enhanced component with merged state data props.
 */
withSelect(function (select, block) {
	return { selected: select('core/editor').getSelectedBlock(), select: select };
}));

var withFontSettings = createHigherOrderComponent(function (BlockListBlock) {
	return enhance(function (_ref) {
		var selected = _ref.selected,
		    select = _ref.select,
		    props = _objectWithoutProperties(_ref, ['selected', 'select']);

		var wrapperProps = props.wrapperProps;
		var customData = {};
		var attributes = select('core/editor').getBlock(props.clientId).attributes;
		var blockName = select('core/editor').getBlockName(props.clientId);

		if (allowedBlocks.includes(blockName)) {
			var customFontSize = attributes.customFontSize,
			    fontFamily = attributes.fontFamily,
			    lineHeight = attributes.lineHeight,
			    fontWeight = attributes.fontWeight,
			    letterSpacing = attributes.letterSpacing,
			    textTransform = attributes.textTransform,
			    customTextColor = attributes.customTextColor;


			if (customFontSize) {
				customData = Object.assign(customData, { 'data-custom-fontsize': 1 });
			}

			if (lineHeight) {
				customData = Object.assign(customData, { 'data-custom-lineheight': 1 });
			}

			if (fontFamily) {
				customData = Object.assign(customData, { 'data-blocksdesign-font': 1 });
			}

			if (fontWeight) {
				customData = Object.assign(customData, { 'data-custom-fontweight': 1 });
			}

			if (textTransform) {
				customData = Object.assign(customData, { 'data-custom-texttransform': 1 });
			}

			if (customTextColor) {
				customData = Object.assign(customData, { 'data-custom-textcolor': 1 });
			}

			if (letterSpacing) {
				customData = Object.assign(customData, { 'data-custom-letterspacing': 1 });
			}

			wrapperProps = _extends({}, wrapperProps, {
				style: (0, _applyStyle2.default)(attributes, blockName)
			}, customData);
		}

		return React.createElement(BlockListBlock, _extends({}, props, { wrapperProps: wrapperProps }));
	});
}, 'withFontSettings');

/**
 * Override props assigned to save component to inject atttributes
 *
 * @param {Object} extraProps Additional props applied to save element.
 * @param {Object} blockType  Block type.
 * @param {Object} attributes Current block attributes.
 *
 * @return {Object} Filtered props applied to save element.
 */
function applyFontSettings(extraProps, blockType, attributes) {

	if (allowedBlocks.includes(blockType.name)) {

		if (typeof extraProps.style !== 'undefined') {
			extraProps.style = Object.assign(extraProps.style, (0, _applyStyle2.default)(attributes, blockType.name));
		} else {
			extraProps.style = (0, _applyStyle2.default)(attributes, blockType.name);
		}

		var customFontSize = attributes.customFontSize,
		    fontFamily = attributes.fontFamily,
		    lineHeight = attributes.lineHeight,
		    fontWeight = attributes.fontWeight,
		    letterSpacing = attributes.letterSpacing,
		    textTransform = attributes.textTransform,
		    noBottomSpacing = attributes.noBottomSpacing,
		    noTopSpacing = attributes.noTopSpacing;


		if (customFontSize) {
			extraProps.className = (0, _classnames2.default)(extraProps.className, 'has-custom-size');
		}

		if (fontFamily) {
			extraProps.className = (0, _classnames2.default)(extraProps.className, 'has-custom-font');
		}

		if (fontWeight) {
			extraProps.className = (0, _classnames2.default)(extraProps.className, 'has-custom-weight');
		}

		if (textTransform) {
			extraProps.className = (0, _classnames2.default)(extraProps.className, 'has-custom-transform');
		}

		if (lineHeight) {
			extraProps.className = (0, _classnames2.default)(extraProps.className, 'has-custom-lineheight');
		}

		if (letterSpacing) {
			extraProps.className = (0, _classnames2.default)(extraProps.className, 'has-custom-letterspacing');
		}
	}

	return extraProps;
}

addFilter('blocks.registerBlockType', 'blocksdesign/inspector/attributes', addAttributes);

addFilter('editor.BlockEdit', 'blocksdesign/typography', withControls);

addFilter('editor.BlockListBlock', 'blocksdesign/withFontSettings', withFontSettings);

addFilter('blocks.getSaveContent.extraProps', 'blocksdesign/applyFontSettings', applyFontSettings);

/***/ }),

/***/ 400:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
	value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _typoComponent = __webpack_require__(342);

var _typoComponent2 = _interopRequireDefault(_typoComponent);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }
/**
 * Internal dependencies
 */


/**
 * WordPress dependencies
 */
var __ = wp.i18n.__;
var _wp$element = wp.element,
    Component = _wp$element.Component,
    Fragment = _wp$element.Fragment;
var _wp$editor = wp.editor,
    AlignmentToolbar = _wp$editor.AlignmentToolbar,
    BlockControls = _wp$editor.BlockControls;
var Toolbar = wp.components.Toolbar;

var Controls = function (_Component) {
	_inherits(Controls, _Component);

	function Controls(props) {
		_classCallCheck(this, Controls);

		return _possibleConstructorReturn(this, (Controls.__proto__ || Object.getPrototypeOf(Controls)).apply(this, arguments));
	}

	_createClass(Controls, [{
		key: 'render',
		value: function render() {
			var _props = this.props,
			    attributes = _props.attributes,
			    setAttributes = _props.setAttributes;


			var hideToolbar = false;

			var allowedBlocks = ['core/paragraph', 'core/heading', 'core/cover', 'core/button', 'core/list'];

			this.props.attributes.textPanelHideColor = true;
			this.props.attributes.textPanelShowSpacingControls = true;

			// Display on the allowedBlocks only.
			if (!allowedBlocks.includes(this.props.name)) {
				this.props.attributes.textPanelHideSize = true;
			} else {
				this.props.attributes.textPanelHeadingFontSizes = true;
			}

			// Show line height on appropriate blocks.
			if (!allowedBlocks.includes(this.props.name)) {
				this.props.attributes.textPanelLineHeight = true;
				this.props.attributes.textPanelLetterSpacing = true;
			}

			// Manage options for row and columns
			if (['blocksdesign/row', 'blocksdesign/column'].includes(this.props.name)) {
				this.props.attributes.textPanelShowSpacingControls = false;
			}

			//do not show if there is no layout for row blocks yet
			if (['blocksdesign/row'].includes(this.props.name)) {
				if (!this.props.attributes.layout) {
					hideToolbar = true;
				}
			}

			if (!hideToolbar) {
				return React.createElement(
					Fragment,
					null,
					React.createElement(
						BlockControls,
						null,
						React.createElement(
							Toolbar,
							null,
							React.createElement(_typoComponent2.default, this.props)
						)
					)
				);
			}

			return React.createElement(Fragment, null);
		}
	}]);

	return Controls;
}(Component);

exports.default = Controls;

/***/ }),

/***/ 401:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
	value: true
});
/**
 * Set the attributes for the text panel
 * @type {Object}
 */
var TypographyAttributes = {
	fontSize: {
		type: 'number'
	},
	customFontSize: {
		type: 'number'
	},
	fontFamily: {
		type: 'string'
	},
	textColor: {
		type: 'string'
	},
	customTextColor: {
		type: 'string'
	},
	lineHeight: {
		type: 'number'
	},
	letterSpacing: {
		type: 'number'
	},
	fontWeight: {
		type: 'string',
		default: ''
	},
	textTransform: {
		type: 'string',
		default: ''
	},
	noBottomSpacing: {
		type: 'boolean',
		default: false
	},
	noTopSpacing: {
		type: 'boolean',
		default: false
	}
};

exports.default = TypographyAttributes;

/***/ }),

/***/ 402:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
	value: true
});
/**
 * Set inline CSS classes
 */
function TypograpyClasses(props) {
	return [{ 'has-text-color': props.attributes.textColor || props.attributes.customTextColor }];
}

exports.default = TypograpyClasses;

/***/ }),

/***/ 403:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
	value: true
});
/**
 * Set the attributes for the Text Panel transformations
 * @type {Object}
 */
function TypographyTransforms(props) {

	var transforms = {
		fontSize: props.fontSize,
		customFontSize: props.customFontSize,
		fontFamily: props.fontFamily,
		lineHeight: props.lineHeight,
		letterSpacing: props.letterSpacing,
		textColor: props.textColor,
		fontWeight: props.fontWeight,
		textTransform: props.textTransform,
		customTextColor: props.customTextColor
	};

	return transforms;
}

exports.default = TypographyTransforms;

/***/ }),

/***/ 404:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
	value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _fonts = __webpack_require__(343);

var _fonts2 = _interopRequireDefault(_fonts);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; } /**
                                                                                                                                                                                                                              * Internal dependencies
                                                                                                                                                                                                                              */


/**
 * WordPress dependencies
 */
var __ = wp.i18n.__;
var _wp$element = wp.element,
    Fragment = _wp$element.Fragment,
    Component = _wp$element.Component;
var withInstanceId = wp.compose.withInstanceId;
var _wp$components = wp.components,
    BaseControl = _wp$components.BaseControl,
    SelectControl = _wp$components.SelectControl;

/**
 * FontFamilyPicker Component
 */

function FontFamilyPicker(_ref) {
	var label = _ref.label,
	    value = _ref.value,
	    help = _ref.help,
	    instanceId = _ref.instanceId,
	    onChange = _ref.onChange,
	    className = _ref.className,
	    props = _objectWithoutProperties(_ref, ['label', 'value', 'help', 'instanceId', 'onChange', 'className']);

	var id = 'inspector-blocksdesign-font-family-' + instanceId;
	var fonts = [{ value: '', label: __('Default') }, { value: 'Arial', label: 'Arial' }, { value: 'Helvetica', label: 'Helvetica' }, { value: 'Times New Roman', label: 'Times New Roman' }, { value: 'Georgia', label: 'Georgia' }];

	//Add Google Fonts
	Object.keys(_fonts2.default).map(function (k, v) {
		fonts.push({ value: k, label: k });
	});

	var onChangeValue = function onChangeValue(event) {
		var meta = wp.data.select('core/editor').getEditedPostAttribute('meta');
		var ba = '';
		var googleFonts_attr = ':100,100italic,200,200italic,300,300italic,400,400italic,500,500italic,600,600italic,700,700italic,800,800italic,900,900italic';
		var link = document.createElement('link');
		link.rel = 'stylesheet';

		if (typeof meta !== 'undefined' && typeof meta._blocks_design_attr !== 'undefined') {
			ba = meta._blocks_design_attr;
		}

		if (ba.length > 0) {

			//Load fonts on the header
			if (!ba.includes(event.target.value)) {
				link.href = 'https://fonts.googleapis.com/css?family=' + event.target.value.replace(/ /g, '+') + googleFonts_attr;
				document.head.appendChild(link);
			}

			ba = ba.replace(',' + event.target.value, '');
			ba = ba + ',' + event.target.value;
		} else {
			link.href = 'https://fonts.googleapis.com/css?family=' + event.target.value.replace(/ /g, '+') + googleFonts_attr;
			document.head.appendChild(link);

			ba = event.target.value;
		}

		// Save values to metadata
		wp.data.dispatch('core/editor').editPost({
			meta: {
				_blocks_design_attr: ba
			}
		});

		onChange(event.target.value);
	};

	return React.createElement(
		BaseControl,
		{ label: label, id: id, help: help, className: className },
		React.createElement(
			'select',
			_extends({
				id: id,
				className: 'components-select-control__input components-select-control__input--blocksdesign-fontfamily',
				onChange: onChangeValue,
				'aria-describedby': !!help ? id + '__help' : undefined
			}, props),
			fonts.map(function (option, index) {
				return React.createElement(
					'option',
					{
						key: option.label + '-' + option.value + '-' + index,
						value: option.value,
						selected: value == option.value ? 'selected' : ''
					},
					option.label
				);
			})
		)
	);
}

exports.default = withInstanceId(FontFamilyPicker);

/***/ }),

/***/ 405:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});
/**
 * Custom icons
 */
var icons = {};

icons.typography = React.createElement(
  "svg",
  { height: "24", viewBox: "0 0 512 512", width: "24", xmlns: "http://www.w3.org/2000/svg" },
  React.createElement("path", { d: "m124.007812 186.214844h30v-26h86.992188v191.785156h-24.746094v30h79.492188v-30h-24.746094v-191.785156h86.992188v26h30v-56h-263.984376zm0 0" }),
  React.createElement("path", { d: "m129 35.75h41.976562v30h-41.976562zm0 0" }),
  React.createElement("path", { d: "m199.675781 35.75h41.976563v30h-41.976563zm0 0" }),
  React.createElement("path", { d: "m270.347656 35.75h41.980469v30h-41.980469zm0 0" }),
  React.createElement("path", { d: "m341.023438 35.75h41.976562v30h-41.976562zm0 0" }),
  React.createElement("path", { d: "m129 446.25h41.976562v30h-41.976562zm0 0" }),
  React.createElement("path", { d: "m199.675781 446.25h41.976563v30h-41.976563zm0 0" }),
  React.createElement("path", { d: "m270.347656 446.25h41.980469v30h-41.980469zm0 0" }),
  React.createElement("path", { d: "m341.023438 446.25h41.976562v30h-41.976562zm0 0" }),
  React.createElement("path", { d: "m446.25 129h30v41.976562h-30zm0 0" }),
  React.createElement("path", { d: "m446.25 199.675781h30v41.976563h-30zm0 0" }),
  React.createElement("path", { d: "m446.25 270.347656h30v41.976563h-30zm0 0" }),
  React.createElement("path", { d: "m446.25 341.023438h30v41.976562h-30zm0 0" }),
  React.createElement("path", { d: "m35.75 129h30v41.976562h-30zm0 0" }),
  React.createElement("path", { d: "m35.75 199.675781h30v41.976563h-30zm0 0" }),
  React.createElement("path", { d: "m35.75 270.347656h30v41.976563h-30zm0 0" }),
  React.createElement("path", { d: "m35.75 341.023438h30v41.976562h-30zm0 0" }),
  React.createElement("path", { d: "m0 101.5h101.5v-101.5h-101.5zm30-71.5h41.5v41.5h-41.5zm0 0" }),
  React.createElement("path", { d: "m410.5 0v101.5h101.5v-101.5zm71.5 71.5h-41.5v-41.5h41.5zm0 0" }),
  React.createElement("path", { d: "m0 512h101.5v-101.5h-101.5zm30-71.5h41.5v41.5h-41.5zm0 0" }),
  React.createElement("path", { d: "m410.5 512h101.5v-101.5h-101.5zm30-71.5h41.5v41.5h-41.5zm0 0" })
);

exports.default = icons;

/***/ }),

/***/ 406:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
	value: true
});
function applyStyle(attributes, name) {
	var fontFamily = attributes.fontFamily,
	    lineHeight = attributes.lineHeight,
	    letterSpacing = attributes.letterSpacing,
	    fontWeight = attributes.fontWeight,
	    textTransform = attributes.textTransform;


	var allowedBlocks = ['core/heading'];

	var style = {
		lineHeight: lineHeight || null,
		fontFamily: fontFamily || null,
		fontWeight: fontWeight || null,
		textTransform: textTransform || null,
		letterSpacing: letterSpacing || null
	};

	if (typeof attributes.customFontSize !== 'undefined') {
		style.fontSize = attributes.customFontSize + 'px' || null;
	}

	if (typeof attributes.customTextColor !== 'undefined') {
		style.color = attributes.customTextColor || null;
	}

	if (typeof attributes.customBackgroundColor !== 'undefined') {
		style.backgroundColor = attributes.customBackgroundColor || null;
	}

	if (name == 'blocksdesign/column' && typeof attributes.width !== 'undefined') {
		style.width = attributes.width + '%';
	}

	return style;
}

exports.default = applyStyle;

/***/ }),

/***/ 76:
/***/ (function(module, exports, __webpack_require__) {

var __WEBPACK_AMD_DEFINE_ARRAY__, __WEBPACK_AMD_DEFINE_RESULT__;/*!
  Copyright (c) 2017 Jed Watson.
  Licensed under the MIT License (MIT), see
  http://jedwatson.github.io/classnames
*/
/* global define */

(function () {
	'use strict';

	var hasOwn = {}.hasOwnProperty;

	function classNames () {
		var classes = [];

		for (var i = 0; i < arguments.length; i++) {
			var arg = arguments[i];
			if (!arg) continue;

			var argType = typeof arg;

			if (argType === 'string' || argType === 'number') {
				classes.push(arg);
			} else if (Array.isArray(arg) && arg.length) {
				var inner = classNames.apply(null, arg);
				if (inner) {
					classes.push(inner);
				}
			} else if (argType === 'object') {
				for (var key in arg) {
					if (hasOwn.call(arg, key) && arg[key]) {
						classes.push(key);
					}
				}
			}
		}

		return classes.join(' ');
	}

	if (typeof module !== 'undefined' && module.exports) {
		classNames.default = classNames;
		module.exports = classNames;
	} else if (true) {
		// register as 'classnames', consistent with npm package name
		!(__WEBPACK_AMD_DEFINE_ARRAY__ = [], __WEBPACK_AMD_DEFINE_RESULT__ = (function () {
			return classNames;
		}).apply(exports, __WEBPACK_AMD_DEFINE_ARRAY__),
				__WEBPACK_AMD_DEFINE_RESULT__ !== undefined && (module.exports = __WEBPACK_AMD_DEFINE_RESULT__));
	} else {
		window.classNames = classNames;
	}
}());


/***/ })

/******/ });
//# sourceMappingURL=typo.build.js.map