<?php
 /**
 * Amazon module
 * http://www.aa-team.com
 * ======================
 *
 * @package		Instaberg_
 * @author		Andrei Dinca, AA-Team
 * @version		1.0
 */
! defined( 'ABSPATH' ) and exit;

if(class_exists('Instaberg_api_testing') != true) {
	class Instaberg_api_testing {
		
		const WXR_VERSION = '1.0';
		
		/**
		 * parent storage
		 *
		 * @var array
		 */
		public $parent = array();
		
		
		/**
		 * The constructor
		 */
		public function __construct( $parent=array() )
		{
			// load parent
			$this->parent = $parent;

			require_once $this->parent->path( 'HELPERS_DIR', 'instagram.api.parse.php' );
		}
		
		public function print_interface()
		{
			$html[] = '<div id="Instaberg_iw-section-content" style="padding-right: 40px;">';
			$html[] = 	Instaberg_Settings_Build_Options( Instaberg_Load_Options( dirname( __FILE__ ) ), 'Instaberg_Plugin_Settings' );
			$html[] = '</div>';
			
			return implode( "\n", $html );
		}
	}
}