<?php
/**
 * Amazon module return as json_encode
 * http://www.aa-team.com
 * =======================
 *
 * @author		Andrei Dinca, AA-Team
 * @version		1.0
 */


echo json_encode(array(
	// create the box elements array
	'option_name' => Instaberg()->alias .'_general',

	'tabs' => array(

		Instaberg()->alias . '_apitesting' => array(
			'label' 	=> 'Instagram Parse API Testing',
			'elements' 	=> 'test_, box_get_user, box_get_user_media_recent',
		),

	),

	'elements' => array(

   		'test' => array(
	        'type' => 'text',
	        'std' => '',
	        'size' => 'large',
	        'title' => 'Test',
	        'force_width' => '400',
	        'desc' => 'test'
	    ),

		'box_get_user' => array(
			'type' => 'box_apitesting',
			'std' => '',
			'title' => 'get user',
			'api_method' => 'get_user',
			'placeholder' => 'username',
			'api_link' => 'https://www.instagram.com/{postid}/',
			'api_postid' => 'aat.alexandra.d',
		),

		'box_get_post' => array(
			'type' => 'box_apitesting',
			'std' => "",
			'title' => 'get post',
			'api_method' => 'get_post',
			'placeholder' => 'post_id',
			'api_link' => 'https://www.instagram.com/p/{postid}/',
			'api_postid' => 'B0xkGnKonSJ',
		),

		'box_get_igtv' => array(
			'type' => 'box_apitesting',
			'std' => "",
			'title' => 'get igtv',
			'api_method' => 'get_igtv',
			'placeholder' => 'post_id',
			'api_link' => 'https://www.instagram.com/tv/{postid}/',
			'api_postid' => 'B4gF2K8n_bt',
		),

		'box_get_user_media' => array(
			'type' => 'box_apitesting',
			'std' => '',
			'title' => 'get user media',
			'api_method' => 'get_user_media',
			'placeholder' => 'username',
			'api_link' => 'https://www.instagram.com/{postid}/',
			'api_postid' => 'aat.alexandra.d',
		),

		'box_get_tag_media' => array(
			'type' => 'box_apitesting',
			'std' => '',
			'title' => 'get tag media',
			'api_method' => 'get_tag_media',
			'placeholder' => 'hashtag',
			'api_link' => 'https://www.instagram.com/explore/tags/{postid}/',
			'api_postid' => 'paperflowers',
		)

	), // end elements
));
