<?php
 /**
 * About module
 * http://www.aa-team.com
 * ======================
 *
 * @package		Instaberg_
 * @author		Andrei Dinca, AA-Team
 * @version		1.0
 */
! defined( 'ABSPATH' ) and exit;

if(class_exists('Instaberg_about') != true) {
	class Instaberg_about {

		const WXR_VERSION = '1.0';

		/**
		 * parent storage
		 *
		 * @var array
		 */
		public $parent = array();

		private $action = '';
		private $wp_import = null;

		/**
		 * The constructor
		 */
		public function __construct( $parent=array() )
		{
			// load parent
			$this->parent = $parent;
		}

		public function print_interface()
		{
			$html = array();



			$html[] = '<div id="Instaberg_iw-section-content" class="Instaberg_iw-section-dashboard">';
			$html[] = 	'<div class="Instaberg_iw-section-dashboard-row">';
			$html[] = 		'<div class="Instaberg_iw-dashboard-box Instaberg_iw-box-size-6">';
			$html[] = 			'<div class="Instaberg_iw-dashboard-box-content">';
			$html[] = 				'<div class="Instaberg_iw-dashboard-in-box-content">';
			$html[] = 					'
													<h4>
														<b> INSTABERG <br/><br/>

													Instaberg is the newest Instagram feed plugin for WordPress that allows you to display posts/videos from your own Instagram account /  public posts into any page/post by using WordPress blocks!

</br></br>
The plugin lets you combine and stream posts/videos from Instagram accounts, hashtags, IGTV videos & individual posts/videos.
</br></br>
And the great thing is that you can mix any Instagram feeds on the same page/post.
</br></br>
Display photos/videos by username or by hashtag in a simple and eye-catching block.
</br></br>
It’s a responsive, flexible and user-friendly tool with the most needed features.
</br></br>
Showcase posts/videos as a grid, masonry, small list, creative layouts, metro & playlists!
<br/>
													</h4>


										';


			$html[] = 				'</div>';
			$html[] = 			'</div>';
			$html[] = 		'</div>';
			$html[] = 	'</div>';
			$html[] = '</div>';

			return implode( "\n", $html );
		}
	}
}
